Subject: New PropertyMapper must accept not found arguments
Description

A typical controller call looks like this
 1    /**
 2     * Single view of a news record
 3     *
 4     * @param Tx_News_Domain_Model_News $news news item
 5     * @param integer $currentPage current page for optional pagination
 6     * @return void
 7     */
 8    public function detailAction(Tx_News_Domain_Model_News $news = NULL, $currentPage = 1) {
 9}

As long as no news property or a correct uid is given everything is ok but if the record can't be found, the exception 
Exception while property mapping at property path "":Object with identity "3" not found.

 is thrown.

There is currently no way for an extension, to handle this error in the own code! It is very normal, that records get deleted, set to
hidden or what so ever. Therefore it must be up to the extension if a default value is set (like NULL) to return NULL by the property
mapper!

This behaviour has been introduced with the new property mapper, disabling it makes it work fine again (which is of course no choice
at all)

Related issues:
related to TYPO3.Flow - Feature # 55869: Allow custom handling of propertyMap... Closed 2014-02-11
duplicated by news extension - Bug # 55837: Non-existent item shouldn't throw... Closed 2014-02-10
duplicated by news extension - Bug # 62951: Request of hidden or deleted news... Closed 2014-11-14

History
#1 - 2014-02-11 08:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27535

#2 - 2014-02-11 10:42 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27535

#3 - 2014-05-12 18:20 - Andreas Kiessling

Any news on this one? IMHO a breaking change with the new property mapper!
The fix from Bastian only made it to Flow so far, but we really need this one too :/

#4 - 2014-05-16 10:12 - Georg Ringer

the change is not yet merged in flow.

#5 - 2014-05-16 10:15 - Andreas Kiessling

Ah, yes... You're right!
I'd still prefer your patch, as it does not seem to need any new code to handle the issue.

#6 - 2014-08-29 09:15 - Florian Schwaiger

Is this fixed yet or do I have to merge the patch in my project manually?

#7 - 2014-09-30 10:12 - Marc Hirdes

I agree to Florain: Is this fixed yet or do I have to merge the patch in my project manually?

#8 - 2014-10-20 12:00 - Marc Hirdes

?

#9 - 2014-10-21 15:01 - Henrik Ziegenhain

Hi all,

nope, this Issue is not merged or fixed by another one.

The patch from above is working for my specific problem.

#10 - 2015-04-02 13:04 - Sven Burkert

Please fix this soon, this bug is really annoying and it applies to very much extensions.

#11 - 2015-06-01 17:50 - Johann Carstens

Would be nice if this could be fixed in the next 6.2.xx Version. I just ran into the same problem.
#12 - 2015-06-03 15:39 - Klaus B

This is a high priority issue also for us.

Is there any official status on the matter?

#13 - 2015-06-03 15:42 - Fabian Schöner

Im also running in this issue almost daily.

Any official status update or better a quick fix would be highly appreciated!

#14 - 2015-06-04 17:53 - Marc Bastian Heinrichs
- Target version changed from 6.2.0 to next-patchlevel

The first patch set is abandoned now.

Please test the new WIP Patch https://review.typo3.org/#/c/39946
